﻿
.toast-title {
    font-weight: 700;
}

.toast-message {
    text-wrap: wrap;
    font-weight: 600;
}

.toast-top-right {
    top: 12px;
    right: 12px;
}

.toast-container {
    position: fixed;
    top: 12px;
    right: 12px;
    z-index: 999999;
    pointer-events: none;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 10px;
}

    .toast-container * {
        box-sizing: border-box;
    }

    .toast-container > div .toast-primary {
        padding: 15px 15px 15px 15px;
    }

    .toast-container > div {
        position: relative;
        pointer-events: auto;
        padding: 15px 15px 15px 50px;
        width: 300px;
        border-radius: 6px;
        background-position: 10px center;
        background-repeat: no-repeat;
        box-shadow: 0 0 12px #999;
        color: #fff;
        opacity: 0;
        transform: translateX(120%);
        animation: slideIn 0.4s forwards;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

@keyframes slideIn {
    from {
        opacity: 0;
        transform: translateX(120%);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes slideOut {
    from {
        opacity: 1;
        transform: translateX(0);
    }

    to {
        opacity: 0;
        transform: translateX(120%);
    }
}

.toast-container > :hover {
    box-shadow: 0 0 12px #000;
    opacity: 1;
    cursor: pointer;
}

.toast {
    background-color: #030303;
}

.toast-success {
    background-color: #51a351;
    background-image: url('/Content/assets/icons/check-solid-full.svg');
    /*background-image: url('~/Content/assets/icons/check-solid-full.svg');*/
    /*background-image: url(check-solid-full.svg);*/
    background-size: 32px 32px;
}

.toast-error {
    background-color: #bd362f;
    background-image: url('/Content/assets/icons/circle-xmark-solid-full.svg');
    background-size: 32px 32px;
}

.toast-info {
    background-color: #2f96b4;
    background-image: url('/Content/assets/icons/circle-info-solid-full.svg');
    background-size: 32px 32px;
}

.toast-warning {
    background-color: #f89406;
    background-image: url('/Content/assets/icons/triangle-exclamation-solid-full.svg');
    background-size: 32px 32px;
}

.toast-primary {
    background-color: #007bff;
    background-image: none;
    padding-left: 20px;
}

.toast-danger {
    background-color: #bd362f;
    background-image: none;
    padding-left: 20px;
}

.toast.no-title {
    padding-left: 20px;
}

    .toast.no-title .toast-message {
        padding-left: 30px;
    }

.toast-container .toast-primary-no-title .toast-message,
.toast-container .toast-danger-no-title .toast-message {
    padding-left: 0px;
}

.toast-container .toast-primary,
.toast-container .toast-danger {
    padding: 15px 15px 15px 15px;
}
